> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a faculty activity for a profile



## OpenAPI

````yaml /openapi.json post /api/v1/profiles/{profile_id}/faculty_activities
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/profiles/{profile_id}/faculty_activities:
    parameters:
      - name: profile_id
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - Faculty Activities
      summary: Create a faculty activity for a profile
      operationId: createProfileFacultyActivity
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/CreateFacultyActivity'
      responses:
        '201':
          description: faculty activity created
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/FacultyActivity'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: forbidden
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: validation error
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/ValidationError'
      security:
        - bearer_auth: []
components:
  schemas:
    CreateFacultyActivity:
      type: object
      properties:
        data:
          type: object
          properties:
            type:
              type: string
              const: faculty_activity
              example: faculty_activity
            attributes:
              type: object
              properties:
                key:
                  type:
                    - string
                    - 'null'
                  description: >-
                    This key links the faculty activity to its
                    faculty_activity_configuration
                external_id:
                  type:
                    - string
                    - 'null'
                  description: >-
                    An optional external identifier for the activity, such as an
                    ID from an external system. We highly recommend setting this
                    value if this resource is being synchronized from an
                    external system, as it will help prevent duplicate entries
                    when syncing data.
                featured:
                  type:
                    - boolean
                    - 'null'
                properties:
                  type:
                    - object
                    - 'null'
              required:
                - key
            relationships:
              type: object
              properties:
                profile:
                  type: object
                  properties:
                    data:
                      type: object
                      required:
                        - type
                        - id
                      properties:
                        type:
                          type: string
                          const: profile
                          example: profile
                        id:
                          type: string
                          format: uuid
                  required:
                    - data
          required:
            - type
            - attributes
      required:
        - data
    FacultyActivity:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: faculty_activity
          example: faculty_activity
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            key:
              type:
                - string
                - 'null'
              description: >-
                This key links the faculty activity to its
                faculty_activity_configuration
            external_id:
              type:
                - string
                - 'null'
              description: >-
                An optional external identifier for the activity, such as an ID
                from an external system. We highly recommend setting this value
                if this resource is being synchronized from an external system,
                as it will help prevent duplicate entries when syncing data.
            featured:
              type:
                - boolean
                - 'null'
            start_date:
              type:
                - string
                - 'null'
              format: date
            end_date:
              type:
                - string
                - 'null'
              format: date
            properties:
              type:
                - object
                - 'null'
            calculated_properties:
              type:
                - object
                - 'null'
        relationships:
          type: object
          properties:
            profile:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type: string
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: object
                  required:
                    - type
                    - id
                  properties:
                    type:
                      type: string
                      const: profile
                      example: profile
                    id:
                      type: string
                      format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
      required:
        - id
        - type
        - attributes
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
    ValidationError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                example: '422'
              title:
                type: string
                example: Validation Error
              detail:
                type: string
                example: Label can't be blank
            required:
              - status
              - title
              - detail
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````